{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

unit statusbar_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, ComCtrls,
  StdCtrls, ExtCtrls, Buttons, Spin, ButtonPanel;

type

  { TForm1 }

  TForm1 = class(TForm)
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    ButtonPanel1: TButtonPanel;
    CheckBox1: TCheckBox;
    Edit1: TEdit;
    Label1: TLabel;
    ProgressBar1: TProgressBar;
    SpinEdit1: TSpinEdit;
    statusbar: TStatusBar;
    procedure MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var ctrl: TControl;
begin
  statusBar.Panels[0].Text:= Sender.ClassName;
  ctrl := TControl(Sender);
  statusBar.Panels[1].Text:= ctrl.Name;
  statusBar.Panels[2].Text:= Format('Top: %d', [ctrl.Top]);
  statusBar.Panels[3].Text:= Format('Left: %d', [ctrl.Left]);
end;

end.

