{ Copyright (C) 2012 H Page-Clark

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA. }

unit edit_form;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, RTTIGrids, Forms, Controls, Graphics, Dialogs,
  StdCtrls, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Edit1: TEdit;
    LabeledEdit1: TLabeledEdit;
    TIPropertyGrid1: TTIPropertyGrid;
    ToggleBox1: TToggleBox;
    procedure ToggleBox1Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.ToggleBox1Change(Sender: TObject);
begin
  case ToggleBox1.Checked of
     False : begin
               TIPropertyGrid1.TIObject := Edit1;
               Edit1.SetFocus;
               ToggleBox1.Caption:= 'Point grid to LabeledEdit';
             end;
     True: begin
             TIPropertyGrid1.TIObject := LabeledEdit1;
             LabeledEdit1.SetFocus;
             ToggleBox1.Caption:= 'Point grid to Edit';
           end;
    end;
end;

end.

